;DUGA用検索設定
; https://duga.jp/

[generic]

SiteName=DUGA
TopPage=http://duga.jp/
; 高速で検索すると正しい結果が返らないことがあるため、都度初期化することでウェイトを入れる。それでもダメな場合もある。
InitializeEachModelno=1

[search]
1=https://duga.jp/search/=/q={PRODUCTCODE}/

[TitleList]

BodyFilter=class="searchsummary".*?class="searchmenublock"
Regex=<a href="(?<url>[^"]*ppv[^"]*)".*?src="(?<thumburl>[^"]*)"[^>]*?alt="(?<title>[^"]*)"
NextPage=href="([^"]*pageno={PAGENO}[^"]*)

[Title.1]

; マーカーなし
;Marker=
BodyFilter=class="headerbox".*?class="cartareawrap"
; 型番
1=itemprop="mpn">(?<productcode>[-a-zA-Z0-9]+[0-9]+).*?</span>
; 発売日
2=itemprop="releaseDate".?content="(?<releasedate>20[0-9]{2}\-[0-9]{2}\-[0-9]{2})"
; メーカー
3=メーカー</th><td><a[^>]*?>(?<seller>[^<]*?)<
; レーベル
4=itemprop="brand"[^>]*?><a[^>]*?><span[^>]*?>(?<label>[^<]*?)<
; シリーズ
5=シリーズ.*?<a[^>]*?><strong>(?<series>[^<]*?)<
; パッケージ画像
6=itemprop="image"[^<]*?href="(?<pkgimgurl>[^"]*?)"
; ジャンル
7=href="[^>]*?category=[^>]*?>(?<genre>[^<]*?)</a>

[Title.2]

; マーカーなし
;Marker=
; 出演者情報の切り出し
BodyFilter=<td><ul.?class="performer">.*?</td>
; 出演者
1=href="[^>]*?>(?<cast>[^<]*?)</a>
